# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`ccs_hcu`](#ccs_hcu): Install hcu-specific stuff.
* [`ccs_hcu::advec`](#ccs_hcu--advec): Add (or remove) the advantech EC modules.
Replaces the older imanager.
* [`ccs_hcu::aiousb`](#ccs_hcu--aiousb): Install aiousb.
* [`ccs_hcu::canbus`](#ccs_hcu--canbus): Add (or remove) the lion canbus module.
* [`ccs_hcu::filter_changer`](#ccs_hcu--filter_changer): Add (or remove) filter changer device links
* [`ccs_hcu::ft4232h`](#ccs_hcu--ft4232h): Add settings for FT4232H device.
* [`ccs_hcu::imanager`](#ccs_hcu--imanager): Add (or remove) the iManager module.
* [`ccs_hcu::power`](#ccs_hcu--power): Add (or remove) hcu shutdown utilities
* [`ccs_hcu::pth450`](#ccs_hcu--pth450): Install Dracal USB pth450 support.
* [`ccs_hcu::shutter`](#ccs_hcu--shutter): Install shutter utilities.
* [`ccs_hcu::vldrive`](#ccs_hcu--vldrive): Add (or remove) the lion vldrive module.

### Defined types

* [`ccs_hcu::dkms`](#ccs_hcu--dkms): Configure DKMS for module

## Classes

### <a name="ccs_hcu"></a>`ccs_hcu`

Install hcu-specific stuff.

#### Parameters

The following parameters are available in the `ccs_hcu` class:

* [`quadbox`](#-ccs_hcu--quadbox)
* [`advec`](#-ccs_hcu--advec)
* [`canbus`](#-ccs_hcu--canbus)
* [`vldrive`](#-ccs_hcu--vldrive)
* [`imanager`](#-ccs_hcu--imanager)
* [`filter_changer`](#-ccs_hcu--filter_changer)
* [`aiousb`](#-ccs_hcu--aiousb)
* [`shutter`](#-ccs_hcu--shutter)
* [`ft4232h`](#-ccs_hcu--ft4232h)
* [`pth450`](#-ccs_hcu--pth450)
* [`pkgurl`](#-ccs_hcu--pkgurl)
* [`pkgurl_user`](#-ccs_hcu--pkgurl_user)
* [`pkgurl_pass`](#-ccs_hcu--pkgurl_pass)

##### <a name="-ccs_hcu--quadbox"></a>`quadbox`

Data type: `Boolean`

True if this is a quadbox host.

Default value: `false`

##### <a name="-ccs_hcu--advec"></a>`advec`

Data type: `Variant[Boolean,String]`

True (or 'present') if need specified module;
false (or 'absent') removes it; 'nothing' does nothing.

Default value: `false`

##### <a name="-ccs_hcu--canbus"></a>`canbus`

Data type: `Variant[Boolean,String]`

True (or 'present') if need specified module;
false (or 'absent') removes it; 'nothing' does nothing.

Default value: `false`

##### <a name="-ccs_hcu--vldrive"></a>`vldrive`

Data type: `Variant[Boolean,String]`

True (or 'present') if need specified module;
false (or 'absent') removes it; 'nothing' does nothing.

Default value: `false`

##### <a name="-ccs_hcu--imanager"></a>`imanager`

Data type: `Variant[Boolean,String]`

True (or 'present') if need specified module;
false (or 'absent') removes it; 'nothing' does nothing.

Default value: `false`

##### <a name="-ccs_hcu--filter_changer"></a>`filter_changer`

Data type: `Variant[Boolean,String]`

True (or 'present') to install; false (or 'absent') to remove.

Default value: `false`

##### <a name="-ccs_hcu--aiousb"></a>`aiousb`

Data type: `Boolean`

True to install aiousb.

Default value: `false`

##### <a name="-ccs_hcu--shutter"></a>`shutter`

Data type: `Boolean`

True to install shutter utilities.

Default value: `false`

##### <a name="-ccs_hcu--ft4232h"></a>`ft4232h`

Data type: `Boolean`

true or false to enable ft4232h.

Default value: `false`

##### <a name="-ccs_hcu--pth450"></a>`pth450`

Data type: `Boolean`

True to install Dracal USB-PTH450 sensor support.

Default value: `false`

##### <a name="-ccs_hcu--pkgurl"></a>`pkgurl`

Data type: `String`

String specifying URL to fetch sources from.

Default value: `'https://example.org'`

##### <a name="-ccs_hcu--pkgurl_user"></a>`pkgurl_user`

Data type: `Variant[Sensitive[String[1]],String[1]]`

String specifying username to access pkgurl.

Default value: `Sensitive('someuser')`

##### <a name="-ccs_hcu--pkgurl_pass"></a>`pkgurl_pass`

Data type: `Sensitive[String[1]]`

String specifying password to access pkgurl.

Default value: `Sensitive('somepass')`

### <a name="ccs_hcu--advec"></a>`ccs_hcu::advec`

https://www.advantech.com/en-us/support/details/software-api?id=1-2JZ4BXI

#### Parameters

The following parameters are available in the `ccs_hcu::advec` class:

* [`ensure`](#-ccs_hcu--advec--ensure)
* [`module`](#-ccs_hcu--advec--module)
* [`version`](#-ccs_hcu--advec--version)

##### <a name="-ccs_hcu--advec--ensure"></a>`ensure`

Data type: `String`

String saying whether to install ('present') or remove ('absent') module.

Default value: `'nothing'`

##### <a name="-ccs_hcu--advec--module"></a>`module`

Data type: `String`

Module name.

Default value: `'advec'`

##### <a name="-ccs_hcu--advec--version"></a>`version`

Data type: `String`

Version string.

Default value: `'2.24'`

### <a name="ccs_hcu--aiousb"></a>`ccs_hcu::aiousb`

Install aiousb.

### <a name="ccs_hcu--canbus"></a>`ccs_hcu::canbus`

Add (or remove) the lion canbus module.

#### Parameters

The following parameters are available in the `ccs_hcu::canbus` class:

* [`ensure`](#-ccs_hcu--canbus--ensure)
* [`module`](#-ccs_hcu--canbus--module)
* [`version`](#-ccs_hcu--canbus--version)

##### <a name="-ccs_hcu--canbus--ensure"></a>`ensure`

Data type: `String`

String saying whether to install ('present') or remove ('absent') module.

Default value: `'nothing'`

##### <a name="-ccs_hcu--canbus--module"></a>`module`

Data type: `String`

Module name.

Default value: `'advSocketCAN'`

##### <a name="-ccs_hcu--canbus--version"></a>`version`

Data type: `String`

Version string.

Default value: `'1.0.1.0'`

### <a name="ccs_hcu--filter_changer"></a>`ccs_hcu::filter_changer`

Add (or remove) filter changer device links

#### Parameters

The following parameters are available in the `ccs_hcu::filter_changer` class:

* [`ensure`](#-ccs_hcu--filter_changer--ensure)

##### <a name="-ccs_hcu--filter_changer--ensure"></a>`ensure`

Data type: `String`

String saying whether to install ('present') or remove ('absent').

Default value: `'absent'`

### <a name="ccs_hcu--ft4232h"></a>`ccs_hcu::ft4232h`

Add settings for FT4232H device.

### <a name="ccs_hcu--imanager"></a>`ccs_hcu::imanager`

Add (or remove) the iManager module.

#### Parameters

The following parameters are available in the `ccs_hcu::imanager` class:

* [`ensure`](#-ccs_hcu--imanager--ensure)
* [`module`](#-ccs_hcu--imanager--module)
* [`version`](#-ccs_hcu--imanager--version)

##### <a name="-ccs_hcu--imanager--ensure"></a>`ensure`

Data type: `String`

String saying whether to install ('present') or remove ('absent') module.

Default value: `'nothing'`

##### <a name="-ccs_hcu--imanager--module"></a>`module`

Data type: `String`

Module name.

Default value: `'imanager'`

##### <a name="-ccs_hcu--imanager--version"></a>`version`

Data type: `String`

Version string.

Default value: `'1.5.0'`

### <a name="ccs_hcu--power"></a>`ccs_hcu::power`

Add (or remove) hcu shutdown utilities

#### Parameters

The following parameters are available in the `ccs_hcu::power` class:

* [`ensure`](#-ccs_hcu--power--ensure)
* [`quadbox`](#-ccs_hcu--power--quadbox)

##### <a name="-ccs_hcu--power--ensure"></a>`ensure`

Data type: `String`

String saying whether to install ('present') or remove ('absent').

Default value: `'absent'`

##### <a name="-ccs_hcu--power--quadbox"></a>`quadbox`

Data type: `Boolean`

Boolean true on quadbox hosts

Default value: `false`

### <a name="ccs_hcu--pth450"></a>`ccs_hcu::pth450`

Install Dracal USB pth450 support.

#### Parameters

The following parameters are available in the `ccs_hcu::pth450` class:

* [`tarfile`](#-ccs_hcu--pth450--tarfile)

##### <a name="-ccs_hcu--pth450--tarfile"></a>`tarfile`

Data type: `String`

Name of tarfile to install.

Default value: `'dracalview-client-bin-3.2.2.tar.xz'`

### <a name="ccs_hcu--shutter"></a>`ccs_hcu::shutter`

Install shutter utilities.

### <a name="ccs_hcu--vldrive"></a>`ccs_hcu::vldrive`

Add (or remove) the lion vldrive module.

#### Parameters

The following parameters are available in the `ccs_hcu::vldrive` class:

* [`ensure`](#-ccs_hcu--vldrive--ensure)
* [`module`](#-ccs_hcu--vldrive--module)
* [`version`](#-ccs_hcu--vldrive--version)

##### <a name="-ccs_hcu--vldrive--ensure"></a>`ensure`

Data type: `String`

String saying whether to install ('present') or remove ('absent') module.

Default value: `'nothing'`

##### <a name="-ccs_hcu--vldrive--module"></a>`module`

Data type: `String`

Module name.

Default value: `'versaapi'`

##### <a name="-ccs_hcu--vldrive--version"></a>`version`

Data type: `String`

Version string.

Default value: `'1.5.0'`

## Defined types

### <a name="ccs_hcu--dkms"></a>`ccs_hcu::dkms`

Configure DKMS for module

#### Parameters

The following parameters are available in the `ccs_hcu::dkms` defined type:

* [`ensure`](#-ccs_hcu--dkms--ensure)
* [`module`](#-ccs_hcu--dkms--module)
* [`version`](#-ccs_hcu--dkms--version)
* [`archive`](#-ccs_hcu--dkms--archive)

##### <a name="-ccs_hcu--dkms--ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`

String saying whether to install ('present') or remove ('absent') module.

##### <a name="-ccs_hcu--dkms--module"></a>`module`

Data type: `String`

Name of module

##### <a name="-ccs_hcu--dkms--version"></a>`version`

Data type: `String`

Version String

##### <a name="-ccs_hcu--dkms--archive"></a>`archive`

Data type: `String`

Name of Archive resource to order upon.

